% PROSPECTUS_CLASS.CLS
% 2003.7.19

% -- identification --
\NeedsTeXFormat{LaTeX2e} \ProvidesClass{prospectus_class}

% -- initial code --
\RequirePackage{ifthen}

% -- declaration of options --
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}

% -- Execution of options --
\ProcessOptions

% -- Package loading --
\LoadClass[11pt]{article}

% -- Main Code --


% -- Page Layout --
\setlength{\textwidth}{6.0in}%
\setlength{\textheight}{9.0in}

\setlength{\topmargin}{0.0in}%
\setlength{\headheight}{0.0in}%
\setlength{\headsep}{0.0in}%
\setlength{\footskip}{0.375in}%

\setlength{\oddsidemargin}{0.125in}%
\setlength{\evensidemargin}{0.125in}%


% -- Document Spacing --  modified setspace.sty
\newcommand{\doublespacing}{\renewcommand{\baselinestretch}{1.618}\small\normalsize}
\newcommand{\onehalfspacing}{\renewcommand{\baselinestretch}{1.213}\small\normalsize}
\newcommand{\singlespacing}{\renewcommand{\baselinestretch}{1.000}\small\normalsize}


% -- Section Headings --  modified revtex4.sty
\renewcommand{\thesection}{\Roman{section}.}
\renewcommand{\thesubsection}{\Alph{subsection}.}
\renewcommand{\thesubsubsection}{\arabic{subsubsection}.}

\renewcommand{\section}{\@startsection
{section}%                          % the name
{1}%                                % the level
{\z@}%  %\z@ = 0pt.                 % the indent
{.8cm \@plus1ex \@minus .2ex}%      % the beforeskip
{.25cm}%                            % the afterskip
{\normalfont\large\sffamily\bfseries}}%      % the style

\renewcommand{\subsection}{\@startsection
{subsection}%
{2}%
{1ex}%
{.8cm \@plus1ex \@minus .2ex}%
{.125cm}%
{\normalfont\normalsize\bfseries}}%

\renewcommand{\subsubsection}{\@startsection
{subsubsection}%
{3}%
{1.25ex}%
{.5cm \@plus1ex \@minus .2ex}%
{.125cm}%
{\normalfont\normalsize\itshape}}%

% -- Fixed Headings --
\renewcommand{\figurename}{Fig.}
\renewcommand{\refname}{\normalsize\thesection\quad BIBLIOGRAPHY}

% -- Title Page --
\newcommand{\bls}{\baselineskip}

\renewcommand{\title}[1]{\newcommand{\xtitle}{#1}}
\renewcommand{\author}[1]{\newcommand{\xauthor}{#1}}
\renewcommand{\date}[1]{\newcommand{\xdate}{#1}}
\newcommand{\degree}[1]{\newcommand{\xdegree}{#1}}

\newcommand{\sign}[1]{\ifthenelse{\equal{#1}{}}{}{\noindent\parbox{2.5in}{\rule{2.5in}{.5pt}
#1}\\[2\bls]}}
\newcommand{\committee}[5]{ \newcommand{\xcommittee}{ \sign{#1
(advisor)}\sign{#2}\sign{#3}\sign{#4}\sign{#5} } }

\renewcommand{\maketitle}{%
\begin{titlepage}%
\vspace*{\fill}

\begin{center}
{\large \xtitle}\\[3\bls]

A PROSPECTUS BY\\[\bls]
\xauthor\\[3\bls]

Submitted in Partial Fulfillment of the\\[\bls]
Requirements for the Degree of\\[\bls]
\xdegree\\[\bls]
\xdate\\[3\bls]
\end{center}

\vspace*{\fill}\noindent
Advisory and Examination Committee\\[2.5\bls]
\xcommittee

\begin{flushright}
\sign{Graduate Coordinator}
\end{flushright}
\end{titlepage}}
